using System.Windows.Forms;

namespace W3Client
{
   public partial class OpenURL : Form
   {
      public OpenURL()
      {
         InitializeComponent();
         LocalizeResources();
         urlTextBox.Text = DEFAULT_URL;
      } // OpenURL

      public string URL
      {
         get
         {
            return urlTextBox.Text;
         }
      } // URL

      protected void LocalizeResources()
      {
         Text = W3Client.resources.GetString("UI_Open");
         cancelButton.Text = W3Client.resources.GetString("UI_Cancel");
         okButton.Text = W3Client.resources.GetString("UI_OK");
         openLabel.Text = W3Client.resources.GetString("UI_Open");
         OpenUrlLabel.Text = W3Client.resources.GetString("STR_OpenURL");
      } // LocalizeResources

      public const string DEFAULT_URL = "http://localhost/";

   } // class
} // namespace